# dmd.toctype

Convert a D type to a type the backend understands.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: toctype.d

Documentation: https://dlang.org/phobos/dmd_toctype.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/toctype.d

- `modToTym`

  #### Declaration

  `pure tym_t `modToTym`(MOD `mod`);`

  Determine backend tym bits corresponding to MOD

  #### Parameters

  `MOD `mod`` | `mod` bits

  #### Return Value

  corresponding tym_t bits

- `Type_toCtype`

  #### Declaration

  `type* `Type_toCtype`(Type `t`);`

  Convert front end type ``t`` to backend type ``t`.ctype`. Memoize the result.

  #### Parameters

  `Type `t`` | front end `Type`

  #### Return Value

  back end equivalent `type`